lwIP 2.1.3 Lightweight IP stack

Macros | Typedefs | Functions
mdns.h File Reference
`#include "lwip/apps/mdns_opts.h"`
`#include "lwip/netif.h"`

## Macros
#define | mdns_resp_netif_settings_changed(netif) mdns_resp_announce(netif)

## Typedefs
typedef void(* | service_get_txt_fn_t) (struct mdns_service *service, void *txt_userdata)
typedef void(* | mdns_name_result_cb_t) (struct netif *netif, u8_t result)

## Functions
void | mdns_resp_init (void)
void | mdns_resp_register_name_result_cb (mdns_name_result_cb_t cb)
err_t | mdns_resp_add_netif (struct netif *netif, const char *hostname, u32_t dns_ttl)
err_t | mdns_resp_remove_netif (struct netif *netif)
err_t | mdns_resp_rename_netif (struct netif *netif, const char *hostname)
s8_t | mdns_resp_add_service (struct netif *netif, const char *name, const char *service, enum mdns_sd_proto proto, u16_t port, u32_t dns_ttl, service_get_txt_fn_t txt_fn, void *txt_userdata)
err_t | mdns_resp_del_service (struct netif *netif, s8_t slot)
err_t | mdns_resp_rename_service (struct netif *netif, s8_t slot, const char *name)
err_t | mdns_resp_add_service_txtitem (struct mdns_service *service, const char *txt, u8_t txt_len)
void | mdns_resp_restart (struct netif *netif)
void | mdns_resp_announce (struct netif *netif)

## Detailed Description

MDNS responder

## Typedef Documentation

## ◆ mdns_name_result_cb_t

typedef void(* mdns_name_result_cb_t) (struct netif *netif, u8_t result)

Callback function to let application know the result of probing network for name uniqueness, called with result MDNS_PROBING_SUCCESSFUL if no other node claimed use for the name for the netif or a service and is safe to use, or MDNS_PROBING_CONFLICT if another node is already using it and mdns is disabled on this interface

## ◆ service_get_txt_fn_t

typedef void(* service_get_txt_fn_t) (struct mdns_service *service, void *txt_userdata)

Callback function to add text to a reply, called when generating the reply

## Function Documentation

## ◆ mdns_resp_register_name_result_cb()

void mdns_resp_register_name_result_cb | ( | mdns_name_result_cb_t | cb | ) |

Register a callback function that is called if probing is completed successfully or with a conflict.